{ pkgs, agenix, ... }:

{

  imports = [
    agenix.nixosModules.default
    ../secrets.nix
    ./services.nix
    ./backups.nix
    ./users.nix
    ./gui.nix
    ./nix.nix
  ];

  config = {
    time.timeZone = "Europe/Amsterdam";
    environment.systemPackages = (import ../env.nix pkgs) ++ (with pkgs; [
      # For Mae
      neovim
      # For me
      helix
    ]);
  };

}
