{ pkgs, lib, config, nixpkgs, pwnix, ... }:

let cfg = config.custom.nix;

in with lib; {

  options.custom.nix = {};

  config = {
    nixpkgs.config.allowUnfree = true;
    nix.extraOptions = ''
      experimental-features = nix-command flakes
    '';
    nix.registry.nixpkgs.flake = nixpkgs;
    nix.registry.pwnix.flake = pwnix;
    nix.settings.trusted-users = [
      "@wheel"
      "root"
    ];
  };

}
